Vtiful\Kernel\Excel output

- « Vtiful\Kernel\Excel::mergeCells

- Vtiful\Kernel\Excel::setColumn »

- PHP Manual
- Vtiful\Kernel\Excel
- Vtiful\Kernel\Excel output

# Vtiful\Kernel\Excel::output

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Excel::output — Vtiful\Kernel\Excel output

### Description

public Vtiful\Kernel\Excel::output()

Output xlsx file to disk.

### Parameters

This function has no parameters.

### Return Values

XLSX file path;

### Examples

Example #1 example

    <?php
    $config = [
        'path' => './tests'
    ];

    $fileObject  = new \Vtiful\Kernel\Excel($config);

    $file = $fileObject->fileName('tutorial.xlsx', 'sheet_one')
        ->header(['name', 'age'])
        ->data([
          ['viest', 23],
          ['wjx', 23],
        ]);

    $path = $file->output();
    ?>